body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}
.dropdown{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
button{
    position: relative;
    width: 200px;
    height: 60px;
    font-size: 24px;
    background: #2196f3;
    border: none;
    box-shadow: none;
    outline: none;
    cursor: pointer;
    color: #fff;
}
ul{
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    background: #ccc;
    transform-origin: top;
    transform: perspective(1000px) rotateX(-90deg);
    transition: 0.5s;
}
ul.active{
    transform: perspective(1000px) rotateX(0deg);
} 
ul li{
    list-style: none;
}
ul li a{
    display: block;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    background: #262626;
    color: #fff;
    border-bottom: 1px solid rgba(0, 0, 0, .2);
    transition: 0.5s;
}
ul li a:hover{
    background: #0d7ad0;
}